Skip to main content

Get Coins By Coin Type Hash


Query Template​

Filtering Options​

Parameter

Type

Description

where

object

An object that filters results based on specific conditions.

limit

integer

Maximum number of results to return.

offset

integer

Starting position of the results.

order_by

object

An object that specifies the sorting criteria. Supports sorting by multiple fields.

Query Fields​

Field

Type

Description

asset_type

string

A unique string identifying the asset type.

name

string

The name of the asset.

creator_address

string

The address of the asset creator.

decimals

integer

An integer representing the number of decimal places for the asset.

symbol

string

The symbol of the asset.

last_transaction_timestamp

string

The timestamp of the last transaction (ISO 8601 format).

last_transaction_version

integer

An integer representing the version of the last transaction.


Example​

Request Example​

query MyQuery {
fungible_asset_metadata(
order_by: {
last_transaction_timestamp: desc
}
where: {
asset_type: {
_in: [
"0x1::aptos_coin::AptosCoin",
"0xd50698729b7fdf58d7f0bb793e1e8da4c5b78c89882aeeaccdd71f93aaf81976::aptx_coin::AptxCoin"
]
}
}
) {
asset_type
name
creator_address
decimals
symbol
last_transaction_timestamp
last_transaction_version
}
}

Response Example​

{
"data": {
"fungible_asset_metadata": [
{
"asset_type": "0xd50698729b7fdf58d7f0bb793e1e8da4c5b78c89882aeeaccdd71f93aaf81976::aptx_coin::AptxCoin",
"name": "APITEX",
"creator_address": "0xd50698729b7fdf58d7f0bb793e1e8da4c5b78c89882aeeaccdd71f93aaf81976",
"decimals": 5,
"symbol": "APTX",
"last_transaction_timestamp": "2024-06-25T14:33:56",
"last_transaction_version": 999372383
},
{
"asset_type": "0x1::aptos_coin::AptosCoin",
"name": "Aptos Coin",
"creator_address": "0x0000000000000000000000000000000000000000000000000000000000000001",
"decimals": 8,
"symbol": "APT",
"last_transaction_timestamp": "1970-01-01T00:00:00",
"last_transaction_version": 0
}
]
}
}